searchData={"items":[{"type":"module","title":"LarkCustomBot","doc":"","ref":"LarkCustomBot.html"},{"type":"function","title":"LarkCustomBot.call/2","doc":"","ref":"LarkCustomBot.html#call/2"},{"type":"function","title":"LarkCustomBot.call/3","doc":"","ref":"LarkCustomBot.html#call/3"},{"type":"function","title":"LarkCustomBot.config/0","doc":"","ref":"LarkCustomBot.html#config/0"},{"type":"module","title":"LarkCustomBot.Auth","doc":"","ref":"LarkCustomBot.Auth.html"},{"type":"function","title":"LarkCustomBot.Auth.sign/3","doc":"Sign the payload with the secret key.","ref":"LarkCustomBot.Auth.html#sign/3"},{"type":"function","title":"Examples (Verified) - LarkCustomBot.Auth.sign/3","doc":"iex> LarkCustomBot.Auth.sign(%{}, [secret: \"abc\"], now: ~U[2023-10-01 12:00:00.000000Z])\n    %{\"sign\" => \"hDTo1zKZQlzW6ENBKSZFSc1QMc9T+GaXK+SR5Z08cT4=\", \"timestamp\" => \"1696161600\"}","ref":"LarkCustomBot.Auth.html#sign/3-examples-verified"},{"type":"function","title":"Options - LarkCustomBot.Auth.sign/3","doc":"* `:now` - Do not use it. It is used for testing only. Default: `DateTime.utc_now()`.","ref":"LarkCustomBot.Auth.html#sign/3-options"},{"type":"module","title":"LarkCustomBot.Cards","doc":"","ref":"LarkCustomBot.Cards.html"},{"type":"function","title":"LarkCustomBot.Cards.new/1","doc":"","ref":"LarkCustomBot.Cards.html#new/1"},{"type":"module","title":"LarkCustomBot.Cards.Card","doc":"","ref":"LarkCustomBot.Cards.Card.html"},{"type":"function","title":"LarkCustomBot.Cards.Card.changeset/2","doc":"","ref":"LarkCustomBot.Cards.Card.html#changeset/2"},{"type":"function","title":"LarkCustomBot.Cards.Card.load/1","doc":"","ref":"LarkCustomBot.Cards.Card.html#load/1"},{"type":"type","title":"LarkCustomBot.Cards.Card.t/0","doc":"","ref":"LarkCustomBot.Cards.Card.html#t:t/0"},{"type":"module","title":"LarkCustomBot.Cards.Post","doc":"","ref":"LarkCustomBot.Cards.Post.html"},{"type":"function","title":"LarkCustomBot.Cards.Post.changeset/2","doc":"","ref":"LarkCustomBot.Cards.Post.html#changeset/2"},{"type":"type","title":"LarkCustomBot.Cards.Post.t/0","doc":"","ref":"LarkCustomBot.Cards.Post.html#t:t/0"},{"type":"module","title":"LarkCustomBot.Cards.Post.Content","doc":"","ref":"LarkCustomBot.Cards.Post.Content.html"},{"type":"module","title":"LarkCustomBot.Cards.Text","doc":"","ref":"LarkCustomBot.Cards.Text.html"},{"type":"function","title":"LarkCustomBot.Cards.Text.changeset/2","doc":"","ref":"LarkCustomBot.Cards.Text.html#changeset/2"},{"type":"type","title":"LarkCustomBot.Cards.Text.t/0","doc":"","ref":"LarkCustomBot.Cards.Text.html#t:t/0"},{"type":"module","title":"LarkCustomBot.Request","doc":"","ref":"LarkCustomBot.Request.html"},{"type":"function","title":"LarkCustomBot.Request.call/2","doc":"","ref":"LarkCustomBot.Request.html#call/2"},{"type":"extras","title":"README","doc":"![Hex.pm Version](https://img.shields.io/hexpm/v/lark_custom_bot?style=plastic&link=https%3A%2F%2Fhex.pm%2Fpackages%2Flark_custom_bot)\n![Hex.pm License](https://img.shields.io/hexpm/l/lark_custom_bot)\n\n# LarkCustomBot\n\nA simple package to send custom bot webhook message with signature to Lark.","ref":"readme.html"},{"type":"extras","title":"Installation - README","doc":"By adding `lark_custom_bot` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:lark_custom_bot, \"~> 0.1\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - README","doc":"","ref":"readme.html#usage"},{"type":"extras","title":"Caller - README","doc":"```elixir\nLarkCustomBot.call(webhook_url, secret, card_params)\n\n# or\n\nLarkCustomBot.call(card, config \\\\ config)\n\n# which config is a keyword list,\n# or by set them in config.exs\n\nconfig :lark_custom_bot,\n  secret: \"secret\",\n  url: \"webhook_url\"\n```","ref":"readme.html#caller"},{"type":"extras","title":"Card Params - README","doc":"Just simply support 2 type cards:\n\n1. Text\n\n```elixir\n%{\n  type: :text,\n  text: \"your text\",\n  at_all: \"optional boolean\"\n}\n```\n\n2. Post\n\n```elixir\n%{\n  type: :post,\n  locale: \"zh_cn or en_us\",\n  title: \"optional\",\n  at_all: \"optional boolean\",\n  content: [\n    %{tag: \"a or text\", text: \"your text\", herf: \"optional for tag - text\"}\n  ]\n}\n```","ref":"readme.html#card-params"},{"type":"extras","title":"Further More - README","doc":"- [ ] [Interactive lark card](https://open.feishu.cn/document/client-docs/bot-v3/add-custom-bot#5a997364)","ref":"readme.html#further-more"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\n本文档格式见 [Keep a Changelog](https://keepachangelog.com/en/1.0.0/) 。\n\n## [Unreleased]","ref":"changelog.html"},{"type":"extras","title":"0.2.0 - 2025-04-12 - Changelog","doc":"","ref":"changelog.html#0-2-0-2025-04-12"},{"type":"extras","title":"Added - Changelog","doc":"- [Auth] add Auth module to sign the message.\n- [Request] implement POST request to lark.\n- [Card] setup schema and validation for card.\n- [Card] setup encoder protocol to do some parameter transformer.","ref":"changelog.html#added"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}